use crate::controller::user;
use actix_web::web::{self};

pub fn config(cfg: &mut web::ServiceConfig) {
    cfg.service(
        web::scope("/api").service(
            web::scope("/users")
                .service(
                    web::resource("")
                        .get(user::get_users)
                        .post(user::create_user),
                )
                .service(
                    web::resource("/{user_id}")
                        .delete(user::delete_user)
                        .put(user::update_user),
                ),
        ),
    );
}
